> ## Documentation Index
> Fetch the complete documentation index at: https://docs.apigene.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Context Type List

> Endpoint to list all context types associated with the current tenant.

Args:

Returns:
    List[ContextType]: A list of all `ContextType` model instances stored under the tenant.

Raises:
    HTTPException 500: If an error occurs while retrieving context types from the database.



## OpenAPI

````yaml get /api/context-type
openapi: 3.1.0
info:
  title: Apigene
  description: Apigene API
  version: 1.0.0
  contact:
    name: Apigene Support
    url: https://app.apigene.ai
    email: support@apigene.ai
servers:
  - url: https://app.apigene.ai
security:
  - BearerAuth: []
paths:
  /api/context-type:
    get:
      tags:
        - Context Type
      summary: Context Type List
      description: |-
        Endpoint to list all context types associated with the current tenant.

        Args:

        Returns:
            List[ContextType]: A list of all `ContextType` model instances stored under the tenant.

        Raises:
            HTTPException 500: If an error occurs while retrieving context types from the database.
      operationId: context_type_list
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/ContextType'
                type: array
                title: Response Context Type List
      security:
        - BearerAuth: []
components:
  schemas:
    ContextType:
      properties:
        id:
          type: string
          title: Id
          description: Unique identifier for the context type
        name:
          type: string
          title: Name
          description: Name of the context type
        summary:
          type: string
          title: Summary
          description: Summary of the context type
        description:
          type: string
          title: Description
          description: Detailed information on the context type
        when_to_use:
          type: string
          title: When To Use
          description: Explanation to agent when to use the context type
        how_to_generate:
          type: string
          title: How To Generate
          description: Explanation to agent how to generate new context of this type
        created_by:
          type: string
          title: Created By
          description: User who created the context type
        created_at:
          type: string
          format: date-time
          title: Created At
          description: The date and time when the context type was created.
        updated_at:
          type: string
          format: date-time
          title: Updated At
          description: The date and time when the context type was last updated.
      type: object
      required:
        - id
        - name
        - summary
        - description
        - when_to_use
        - how_to_generate
        - created_by
        - created_at
        - updated_at
      title: ContextType
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        JWT Authorization header using the Bearer scheme. Example:
        'Authorization: Bearer {token}'

````